<div class="row text-left justify-content-md-center">
    <div class="col-md-6">
        <div class="card">
            <div class="card-header pb-2">
                <h4 class="card-title" id="basic-layout-form">Registration</h4>
            </div>
            <div class="card-content">
                <div class="px-3">
                    <form class="form" [formGroup]="form" (ngSubmit)="submit()">
                        <div class="form-body">
                            <h4 class="form-section"><i class="ft-user"></i> Personal Info</h4>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="projectinput1">First Name</label>
                                        <input type="text" id="projectinput1" class="form-control" name="firstname"
                                            formControlName="firstname">
                                        <small class="form-text text-muted danger"
                                            *ngIf="!form.get('firstname').valid && form.get('firstname').touched">First
                                            name is required!</small>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="projectinput2">Last Name</label>
                                        <input type="text" id="projectinput2" class="form-control" name="lastname"
                                            formControlName="lastname">
                                        <small class="form-text text-muted danger"
                                            *ngIf="!form.get('lastname').valid && form.get('lastname').touched">Last
                                            name is required!</small>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="projectinput3">E-mail</label>
                                        <input type="text" id="projectinput3" class="form-control" name="email"
                                            formControlName="email">
                                        <small class="form-text text-muted danger"
                                            *ngIf="!form.get('email').valid && (form.get('email').dirty || form.get('email').touched)">Please
                                            enter a valid email!</small>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="projectinput4">Birth date</label>
                                        <input class="form-control" formControlName="birthdate" placeholder="yyyy-mm-dd"
                                            ngbDatepicker #d2="ngbDatepicker" name="birthday" [minDate]="minDate"
                                            id="birthday" (click)="d2.toggle()">
                                        <small class="form-text text-muted danger"
                                            *ngIf="!form.get('birthdate').valid && form.get('birthdate').touched">Birth
                                            Date is required!</small>
                                    </div>
                                </div>
                            </div>

                            <h4 class="form-section"><i class="ft-box"></i> Game Account</h4>


                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="nomyaccount">Nomya Account</label>
                                        <input type="text" id="nomyaccount" class="form-control" name="username"
                                            formControlName="username">
                                        <small class="form-text text-muted danger"
                                            *ngIf="errorMessage">{{errorMessage}}</small>
                                        <small class="form-text text-muted danger"
                                            *ngIf="!form.get('username').valid && form.get('username').touched">Nomya account is required!</small>
                                            <small class="form-text text-muted danger"
                                            *ngIf="!form.get('username').valid && (form.get('username').dirty || form.get('username').touched)">The minimal size is 6</small>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="sponsorid">Sponsor ID</label>
                                        <input type="number" id="sponsorid" class="form-control" name="sponsorid"
                                            formControlName="sponsorid">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="projectinput5">Password</label>
                                        <input type="password" id="password" class="form-control" name="password"
                                            formControlName="password">
                                            <small class="form-text text-muted danger"
                                            *ngIf="!form.get('password').valid && form.get('password').touched && form.controls['password'].value !== null">Password is required!</small>
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="projectinput5">Confirm Password</label>
                                        <input type="password" id="confirmpassword" class="form-control"
                                            name="confirmpassword" formControlName="confirmpassword">
                                            <small class="form-text text-muted danger"
                                            *ngIf="!form.get('confirmpassword').valid && form.get('confirmpassword').touched && form.controls['confirmpassword'].value !== null">Confirm assword is required!</small>
                                        <small class="form-text text-muted danger"
                                            *ngIf="form.controls['password'].value !== form.controls['confirmpassword'].value && form.controls['confirmpassword'].value !== null">Password
                                            does not match</small>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="secretquestion">Secret Question</label>
                                        <input type="text" id="secretquestion" class="form-control"
                                            name="secretquestion" formControlName="secretquestion">
                                            <small class="form-text text-muted danger"
                                            *ngIf="!form.get('secretquestion').valid && form.get('secretquestion').touched">Secret question is required!</small>
                                            <small class="form-text text-muted danger"
                                            *ngIf="!form.get('secretquestion').valid  && (form.get('secretquestion').dirty || form.get('secretquestion').touched)">The minimal size is 6</small>
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="secretanswer">Secret Answer</label>
                                        <input type="text" id="secretanswer" class="form-control" name="secretanswer"
                                            formControlName="secretanswer">
                                            <small class="form-text text-muted danger"
                                            *ngIf="!form.get('secretanswer').valid && form.get('secretanswer').touched">Secret answer is required!</small>
                                            <small class="form-text text-muted danger"
                                            *ngIf="form.get('secretanswer').value === form.get('secretquestion').value && form.get('secretanswer').value !== null">The secret answer must be different from the secret question! </small>
                                            <small class="form-text text-muted danger"
                                            *ngIf="!form.get('secretanswer').valid  && (form.get('secretanswer').dirty || form.get('secretanswer').touched)">The minimal size is 4</small>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="form-actions center">
                            <button type="submit" class="btn btn-raised mr-2" id="register"
                                routerLinkActive="router-link-active" [disabled]="!form.valid">
                                Create account
                            </button>
                            <button type="button" [routerLink]="['/user/login']" class="btn btn-raised" id="login">
                                Login
                            </button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>